summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWerner Koch <wk@gnupg.org>2022-01-27 09:07:28 +0100
committerWerner Koch <wk@gnupg.org>2022-01-27 09:50:24 +0100
commit54eff9cb9ac86809f3217179eb1029058d4a7936 (patch)
tree19143254dd9b9d6230e7a7a1a90675fda1f18c4c
parentf8cf25ee6b2e5fc6bc96d6af6531013cea41b245 (diff)
downloadlibgpg-error-54eff9cb9ac86809f3217179eb1029058d4a7936.tar.gz
* configure.ac: Bump LT version to C32/A32/R2.
-rw-r--r--AUTHORS3
-rw-r--r--Makefile.am36
-rw-r--r--NEWS14
-rw-r--r--configure.ac2
-rw-r--r--src/gpg-error.h.in3
-rw-r--r--src/version.c2
-rw-r--r--src/versioninfo.rc.in2
7 files changed, 44 insertions, 18 deletions
diff --git a/AUTHORS b/AUTHORS
index 71dd5d3..6aba44a 100644
--- a/AUTHORS
+++ b/AUTHORS
@@ -16,7 +16,7 @@ listed individually.
List of Copyright holders
=========================
- Copyright (C) 2001-2020 g10 Code GmbH
+ Copyright (C) 2001-2022 g10 Code GmbH
Copyright (C) 1995-2017 Free Software Foundation, Inc.
Copyright (C) 1998-2006, 2008-2017 Werner Koch
Copyright (C) 2014 Jedi Lin
@@ -46,6 +46,7 @@ nl - Freek de Kruijf <f.de.kruijf at gmail.com>
pl - Jakub Bogusz <qboosh at pld-linux.org>
ro - Laurentiu Buzdugan <lbuz at rolix.org>
sv - Daniel Nylander <po at danielnylander.se>
+tr - Emir SARI <emir_sari at icloud.com>
uk - Yuri Chornoivan <yurchor at ukr.net>
vi - Clytie Siddall <clytie at riverland.net.au>
zh_CN - Aron Xu <happyaron.xu at gmail.com>
diff --git a/Makefile.am b/Makefile.am
index 9e4563f..074b9a3 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -17,14 +17,14 @@
# License along with this program; if not, see <https://www.gnu.org/licenses/>.
# SPDX-License-Identifier: LGPL-2.1-or-later
-# Location of the released tarball archives. Note that this is an
-# internal archive and before uploading this to the public server,
-# manual tests should be run and the git release tat set and pushed.
-# Adjust as needed.
-RELEASE_ARCHIVE_DIR = wk@vigenere:tarballs/libgpg-error/
+# Location of the released tarball archives. This is prefixed by
+# the variable RELEASE_ARCHIVE in ~/.gnupg-autogen.rc. For example:
+# RELEASE_ARCHIVE=wk@somehost:archive/tarballs
+RELEASE_ARCHIVE_SUFFIX = libgpg-error
+# The variable RELEASE_SIGNING_KEY in ~/.gnupg-autogen.rc is used
+# to specify the key for signing. For example:
+# RELEASE_SIGNKEY=D8692123C4065DEA5E0F3AB5249B39D24F25E3B6
-# The key used to sign the released sources. Adjust as needed.
-RELEASE_SIGNING_KEY = 6DAA6E64A76D2840571B4902528897B826403ADA
# Autoconf flags
ACLOCAL_AMFLAGS = -I m4
@@ -141,7 +141,19 @@ release:
sign-release:
+(set -e; \
- cd dist; \
+ test $$(pwd | sed 's,.*/,,') = dist || cd dist; \
+ x=$$(grep '^RELEASE_ARCHIVE=' $$HOME/.gnupg-autogen.rc|cut -d= -f2);\
+ if [ -z "$$x" ]; then \
+ echo "error: RELEASE_ARCHIVE missing in ~/.gnupg-autogen.rc">&2; \
+ exit 2;\
+ fi;\
+ myarchive="$$x/$(RELEASE_ARCHIVE_SUFFIX)";\
+ x=$$(grep '^RELEASE_SIGNKEY=' $$HOME/.gnupg-autogen.rc|cut -d= -f2);\
+ if [ -z "$$x" ]; then \
+ echo "error: RELEASE_SIGNKEY missing in ~/.gnupg-autogen.rc">&2; \
+ exit 2;\
+ fi;\
+ mysignkey="$$x";\
files1="$(RELEASE_NAME).tar.bz2 \
$(RELEASE_NAME).tar.gz" ; \
files2="$(RELEASE_NAME).tar.bz2.sig \
@@ -149,15 +161,15 @@ sign-release:
$(RELEASE_NAME).swdb \
$(RELEASE_NAME).buildlog" ;\
echo "/* Signing the source tarball ..." ;\
- gpg -sbu $(RELEASE_SIGNING_KEY) $(RELEASE_NAME).tar.bz2 ;\
- gpg -sbu $(RELEASE_SIGNING_KEY) $(RELEASE_NAME).tar.gz ;\
+ gpg -sbu $$mysignkey $(RELEASE_NAME).tar.bz2 ;\
+ gpg -sbu $$mysignkey $(RELEASE_NAME).tar.gz ;\
cat $(RELEASE_NAME).swdb >swdb.snippet;\
echo >>swdb.snippet ;\
sha1sum $${files1} >>swdb.snippet ;\
cat "../$(RELEASE_NAME).buildlog" swdb.snippet \
| gzip >$(RELEASE_NAME).buildlog ;\
- echo "Copying to local archive ..." ;\
- scp -p $${files1} $${files2} $(RELEASE_ARCHIVE_DIR)/ || true;\
+ echo "Copying to archive $$myarchive ..." ;\
+ scp -p $${files1} $${files2} $${myarchive}/ || true;\
echo '/*' ;\
echo ' * All done; for checksums see dist/swdb.snippet' ;\
echo ' */' ;\
diff --git a/NEWS b/NEWS
index 8ba269a..e312da4 100644
--- a/NEWS
+++ b/NEWS
@@ -1,6 +1,18 @@
-Noteworthy changes in version 1.44 (unreleased) [C32/A32/R_]
+Noteworthy changes in version 1.44 (2022-01-27) [C32/A32/R2]
-----------------------------------------------
+ * Fix dependency to gpg-error-config-test.sh. [T5696]
+
+ * Run the posix locking test only on supported platforms. [T5699]
+
+ * Detect Linux systems using musl. [T5762]
+
+ * Fix gpg-error-config-test for PKG_CONFIG_LIBDIR. [T5740]
+
+ * Fix returning of option attributes for options with args. [T5799]
+
+ * Add Turkish translations.
+
Release-info: https://dev.gnupg.org/T5676
diff --git a/configure.ac b/configure.ac
index c7f727d..3c0501a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -51,7 +51,7 @@ AC_INIT([mym4_package],[mym4_version],[https://bugs.gnupg.org])
# Note that added error codes don't constitute an interface change.
LIBGPG_ERROR_LT_CURRENT=32
LIBGPG_ERROR_LT_AGE=32
-LIBGPG_ERROR_LT_REVISION=1
+LIBGPG_ERROR_LT_REVISION=2
################################################
AC_SUBST(LIBGPG_ERROR_LT_CURRENT)
diff --git a/src/gpg-error.h.in b/src/gpg-error.h.in
index d2c3b8d..b97f38a 100644
--- a/src/gpg-error.h.in
+++ b/src/gpg-error.h.in
@@ -1190,7 +1190,8 @@ typedef struct
#define ARGPARSE_FLAG_USER 2048 /* Use user config file. */
#define ARGPARSE_FLAG_VERBOSE 4096 /* Print additional argparser info. */
#define ARGPARSE_FLAG_USERVERS 8192 /* Try version-ed user config files. */
-#define ARGPARSE_FLAG_WITHATTR 16384 /* Return attribute bits. */
+#define ARGPARSE_FLAG_WITHATTR 16384 /* Return attribute bits. (Make sure */
+ /* to act upon ARGPARSE_OPT_IGNORE.) */
/* Constants for (gpgrt_argparse_t).err. */
#define ARGPARSE_PRINT_WARNING 1 /* Print a diagnostic. */
diff --git a/src/version.c b/src/version.c
index c2b350d..54177cc 100644
--- a/src/version.c
+++ b/src/version.c
@@ -39,7 +39,7 @@ cright_blurb (void)
static const char blurb[] =
"\n\n"
"This is Libgpg-error " PACKAGE_VERSION " - A runtime library\n"
- "Copyright 2001-2021 g10 Code GmbH\n"
+ "Copyright 2001-2022 g10 Code GmbH\n"
"\n"
"(" BUILD_REVISION " " BUILD_TIMESTAMP ")\n"
"\n\n";
diff --git a/src/versioninfo.rc.in b/src/versioninfo.rc.in
index d54210b..d617465 100644
--- a/src/versioninfo.rc.in
+++ b/src/versioninfo.rc.in
@@ -40,7 +40,7 @@ BEGIN
VALUE "FileDescription", "libgpg-error - Common error codes\0"
VALUE "FileVersion", "@LIBGPG_ERROR_LT_CURRENT@.@LIBGPG_ERROR_LT_AGE@.@LIBGPG_ERROR_LT_REVISION@.@BUILD_REVISION@\0"
VALUE "InternalName", "libgpg-error\0"
- VALUE "LegalCopyright", "Copyright © 2021 g10 Code GmbH\0"
+ VALUE "LegalCopyright", "Copyright © 2022 g10 Code GmbH\0"
VALUE "LegalTrademarks", "\0"
VALUE "OriginalFilename", "libgpg-error.dll\0"
VALUE "PrivateBuild", "\0"